//
//  DummyView.h
//  Undo Inspector
//
//  Created by Patrick Geiller on 19/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "UndoWindow.h"

@interface DummyView : NSView {


	NSMutableArray*	objects;

	bool	dragging;
	bool	dragged;
	NSPoint	dragStart;
	NSPoint	dragStartObjectPosition;
	NSPoint	newObjectPosition;
	id		draggedObject;
	
	float	quadSize;
}


- (IBAction)add:(id)sender;
- (IBAction)remove:(id)sender;

- (void)addObject:(id)o;
- (void)removeObject:(id)o;

- (void)setUndoablePosition:(NSPoint)position andOldPosition:(NSPoint)oldPosition forObject:(id)o;


@end


@interface DummyObject : NSObject {
	NSPoint	position;
	
	UndoWindow* window;
}

- (void)setPosition:(NSPoint)p;
- (NSPoint)position;


- (void)setWindow:(id)w;
@end