//
//  UndoWindow.h
//  Undo Inspector
//
//  Created by Patrick Geiller on 19/06/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface UndoWindow : NSWindow {

	IBOutlet	NSTextView*	undoStackView;
	IBOutlet	NSTextView* redoStackView;
	IBOutlet	NSTextView* callLogView;


	NSMutableDictionary*	objects;

}

- (IBAction)clearUndoStack:(id)sender;
- (void)delayDumpUndo;
- (void)updateObjectsWithObject:(id)o andRetainCount:(int)count;



@end
